/********************************* (C) РОТЕК ***********************************
 * @module  gpio_io
 * @file    gpio_io.c
 * @version 1.0.0
 * @date    XX.XX.XXXX
 * $brief   gpio_io
 *******************************************************************************
 * @history     Version  Author         Comment
 * XX.XX.XXXX   1.0.0    Telenkov D.A.  First release.
 *******************************************************************************
 */  
#include "gpio_io.h"
#include "gpio.h"
#include <stdbool.h>

#include "tinystdio.h"


#ifdef SLAVEBRD_ENABLE
/**
  * @brief  Выставить пин DB_BOOT0
  */
void IO_SetDbBoot0(void)
{
  /* Inverted! */
  GPIO_ResetBits(GPIOE, GPIO_Pin_8);
}

/**
  * @brief  Выставить пин DB_BOOT0
  */
void IO_ClearDbBoot0(void)
{
  /* Inverted! */
  GPIO_SetBits(GPIOE, GPIO_Pin_8);
}

/**
  * @brief  Установить пин DB_RST  */
void IO_SetDbReset(void)
{
  GPIO_SetBits(GPIOE, GPIO_Pin_7);
}

/**
  * @brief  Сбросить пин DB_RST  */
void IO_ClearDbReset(void)
{
  GPIO_ResetBits(GPIOE, GPIO_Pin_7);
}
#endif

/**
  * @brief  Получить состояние кнопки DEFAULT
  */
bool IO_BtnDefaultPressed(void)
{
  	return !gpio_get(KEY_DEF);  // BUTTON DEFAULT
}
/********************************* (C) РОТЕК **********************************/
